@import url("https://fonts.googleapis.com/css2?family=Ruwudu:wght@600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@200&display=swap");
* {
    /* font-family: 'Josefin Sans'; */
    /* font-weight: bold !important; */
}

.text-primary {
    color: var(--theme-color) !important;
}
.heading {
    display: inline-block;
    border-bottom: 2px solid var(--theme2-color);
    padding: 5px 5px 0px 5px;
    font-size: 26px;
}
h2 {
    font-size: 24px;
}
h3 {
    font-size: 22px;
}
h4 {
    font-size: 20px;
}
h5 {
    font-size: 18px;
}
.heading .btn-end {
    text-align: end;
}
.display-inl-block {
    display: inline-block !important;
}
.margin-top {
    margin-top: 50px;
}
.uppercase {
    text-transform: uppercase;
}
.over-point {
    text-align: center;
    background: var(--theme-color);
    color: wheat;
}
/* h4.heading-style {
    font-size: 16px;
    text-transform: uppercase;
    color: var(--theme2-color);
}

h4.heading-style:after {
    position: absolute;
    width: 100%;
    height: 1.5px;
    bottom: -5px;
    left: 0;
} */
.border-img {
    border: 20px solid transparent;
    padding: 15px;
    /* margin: 0px; */
    border-image: url(/images/border1.png) 30 round;
}

.blank-box {
    padding: 15px;
    border: 1px dashed;
    border-radius: 20px;
    box-shadow: 0px 1px 18px 0px rgb(28 27 59 / 34%);
}
.blank_box {
    padding: 10px;
    box-shadow: 0px 1px 8px 0px;
}
.blank-box-outer {
    background-color: white;
    padding: 15px;
    border: 2px dashed;
    border-radius: 10px;
    /* box-shadow: 0px 1px 18px 0px rgb(28 27 59 / 34%); */
    /* -webkit-box-shadow: inset 10px 10px 128px -10px rgba(15,115,62,1);
    -moz-box-shadow: inset 10px 10px 128px -10px rgba(15,115,62,1);
    box-shadow: inset 10px 10px 128px -10px rgba(15,115,62,1); */
    -webkit-box-shadow: inset 10px 10px 128px -10px rgb(186, 195, 241);
    -moz-box-shadow: inset 10px 10px 128px -10px rgb(186, 195, 241);
    box-shadow: inset 10px 10px 128px -10px rgb(186, 195, 241);
}
.circle-number-style {
    list-style-type: none;
    padding: 0;
    padding-left: 10px;
}
.circle-number-style li {
    display: flex;
    text-align: justify;
}
.circle-number-style .number-circle {
    display: inline-block;
    width: 25px;
    height: 25px;
    margin: 3px 0;
    flex-shrink: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    margin-right: 10px;
    background: #fff;
    border: 1px solid var(--theme-color);
    color: var(--theme-color);
}
.circle-number-style a {
    text-decoration: none !important;
}
/*-------------------Breadcrumb-------------------*/
.breadum-top {
    height: 150px;
    background: var(--theme-color);
}
.breadcrumb-wrapper {
    height: 70vh;
    background: #252443;
    background-size: 100% 135%;
    background-position: center center;
}
.breadcrumbs-inner {
    background: rgb(0 0 0 / 27%);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}
.breadcrumb-wrapper h2 {
    background: var(--theme-color);
    padding: 6px 10px;
    border-radius: 6px;
    color: #fff;
    display: inline-block;
    font-size: 22px;
}
.breadcrumb {
    justify-content: center;
    color: #fff;
}
.breadcrumb li a {
    color: #fff;
    text-decoration: none;
}
.breadcrumb li.active {
    color: #fff;
}
.breadcrumb li.active::before {
    color: #fff;
}
@media screen and (max-width: 767px) {
    .breadcrumb-wrapper {
        height: 30vh;
        background-size: cover;
        background-position: center center;
    }
}
/*-------------------Breadcrumb-------------------*/
/*-------All heading style --------*/
.heading-style {
    /* background: #dc3545f7;; */
    padding: 6px 10px;
    /* border-radius: 6px; */
    /* color: var(--font-color); */
    font-size: 18px;
    text-transform: uppercase;
    display: inline-block;
}

.py-4 h2:not(.accordion-header) {
    font-size: 24px;
    position: relative;
    margin-bottom: 25px;
    display: inline-block;
}

.btn-custom-view-news {
    color: #0d6efd;
    border-bottom: 1px solid;
    text-decoration: none;
}

/*-------End All heading style --------*/
a.active {
    color: var(--theme-color);
}
.btn-custom {
    color: var(--theme2-color);
    border: 1px solid var(--theme-color);
}
.btn-custom:hover,
.btn-custom:focus {
    background: var(--theme-color);
    color: #fff;
}
.btn-custom-invert {
    background-color: var(--theme-color);
    border: 1px solid var(--theme-color);
    color: #fff;
    text-decoration: none;
}
.btn-custom-invert:hover,
.btn-custom-invert:focus {
    background: red;
    color: var(--theme-color);
}
.object-fill {
    object-fit: fill;
}
.object-contain {
    object-fit: contain;
}
.object-cover {
    object-fit: cover;
}
.close-btn-modal {
    position: absolute;
    right: -25px;
    top: -26px;
    color: red;
    font-size: 18px;
    background: #252443;
    border-radius: 100%;
}
.close-btn-modal:hover {
    position: absolute;
    right: -25px;
    top: -26px;
    color: red;
    font-size: 18px;
    cursor: pointer;
    background: #252443;
    border-radius: 100%;
}
.close-icon {
    border: 2px solid;
    padding: 5px 9px 5px 9px;
    border-radius: 100%;
}
.img-view-popup {
    cursor: zoom-in;
    transition: 1s;
    /* object-fit: none; */
}
.img-view-popup:hover {
    transform: scale(1.1);
    transition: 1s;
}
.modal-view-img {
    box-shadow: -1px 2px 12px 0px #e9ecef;
}
.img-wrapp {
    overflow: hidden;
    /* display: inline-block; */
}
.bg-tbl-head {
    background-color: #67859f !important;
    color: white;
    font-size: 20px;
}
.filter-img-bg {
    filter: drop-shadow(0 0 0.2rem #67859f);
}
.cursor-zoom {
    cursor: zoom-in;
}
/*---------------Accordion----------------*/
.accordion-header .custom-accordion {
    background: #66849f;
    color: white;
    padding: 12px;
}
/*---------------Gallery ------------------*/
.gallery-wrapper {
    width: 100%;
    height: 200px;
    background-size: 110%;
    background-position: center center;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
    transition: 0.2s;
}
.gallery-wrapper:hover {
    background-size: 120%;
}
.gallery-wrapper a.gallery-upper,
.gallery-wrapper a.gallery-bottom {
    display: block;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    text-decoration: none;
}
.gallery-wrapper a.gallery-upper {
    flex-grow: 1;
    border-radius: 6px 6px 0 0;
    position: relative;
}
.gallery-wrapper a.gallery-upper .gallery-counter {
    background: var(--theme-color);
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    position: absolute;
    right: 10px;
    top: 10px;
}
.gallery-wrapper a.gallery-bottom {
    border-radius: 0 0 6px 6px;
}
/*---------------Gallery------------------*/
/*---------------Accordion----------------*/
.img-wrapper {
    width: 100%;
    background-size: 100% 100%;
    background-position: center center;
    border-radius: 6px;
    position: relative;
    transition: background-size 0.5s;
}
.img-wrapper:hover {
    background-size: 100% 100%;
    cursor: zoom-in;
}
.img-wrapper img {
    width: 100%;
    visibility: hidden;
}
.img-wrapper .inner-wrapper {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0);
    border-radius: 6px;
    position: absolute;
    top: 0;
    left: 0;
    transition: background 0.5s;
}
.img-wrapper .inner-wrapper:hover {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
}
@media screen and (max-width: 767px) {
    .img-wrapper {
        width: 100% !important;
        height: 100% !important;
    }
}
/* @media screen and (max-width: 767px){
    .img-wrapper-fixed {
        width: 100px !important;
        height: 100px !important;
    }
} */
/*---------Header Style---------*/
.sticky {
    position: fixed !important;
    top: 0;
    width: 100%;
    z-index: 1000;
}
.navbar-light .navbar-nav .nav-link {
    color: #f9fafb !important;
    margin-right: -2px;
}
/* .animate-link {
    display: inline-block;
    color: #000;
    text-decoration: none;
} */

.animate-link::after {
    content: "";
    display: inline-block;
    width: 0;
    position: absolute;
    top: 40px;
    height: 6px;
    background: var(--theme2-color);
    transition: width 0.3s;
}

.animate-link:hover::after {
    width: 100%;
    /* //transition: width .3s; */
}
/* .navbar-light .navbar-nav .nav-link::after{
    content:" ";
    position: absolute;
    top:100%;
    left:50%;
    transform: translate(-50%);
    width: 100%;
    border-bottom:5px solid var(--theme2-color);
} */

.navbar-light .navbar-nav .nav-link .active {
    color: #f9fafb !important;
}
.home-tab {
    border-bottom: 5px solid var(--theme2-color) !important;
}
.navbar-light .navbar-nav .nav-link:hover {
    /*color: #f9fafb !important;*/
    color: green !important;
    /* border-bottom: 5px solid var(--theme2-color)!important; */
    /* transition: all 0.5s ease-out; */
}
.header-position {
    position: absolute;
    width: 100%;
    z-index: 1000;
    background-color: #00000059;
}
.navbar-color {
    border-top: 1px solid wheat;
    /* Gradient from light golden to deeper golden-brown */
    background: linear-gradient(1deg, #612f14, #e3a460);
    /* Optional fallback */
    /* background-color: #eba550 !important; */
}
.navbar-color-scroll {
    background-color: var(--theme-color) !important;
}
.navbar .navbar-brand img {
    /* width: 80px;
    height: 93px; */
    width: 120px;
    height: 90px;
}
.dropdown-menu {
    /* left:-30px; */
    top: 50px;
}

.navbar-color .navbar-toggler {
    color: #fff;
    /*border-color: var(--theme2-color)!important;*/
    background: var(--theme2-color) !important;
    /* background-color: #3e5fa9; */
}

@media screen and (max-width: 992px) {
    .navbar .navbar-brand img {
        width: 250px;
    }
    .navbar-toggler-icon {
        color: white;
        background-color: var(--theme2-color);
    }
    .mobile-margin {
        margin-left: 0px !important;
        margin-right: 0px !important;
    }
}
@media screen and (max-width: 1150px) {
    .navbar-light .navbar-nav .nav-link {
        color: green !important;
        margin-right: -1px !important;
    }
    .navbar-toggler-icon {
        color: white;
    }
    .sticky {
        position: relative !important;
    }
}

/*-----------Carousel style---------------*/
#carouselExampleCaptions .carousel-inner {
    height: 660px;
}
#carouselExampleCaptions .carousel-image-box {
    width: 100%;
    height: calc(100vh - 10px);
    background-size: 100%;
    background-position: center center;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
#carouselExampleCaptions .carousel-image-box img {
    width: 100%;
    /*height: 100%;*/
    animation: zoomin 24s ease infinite;
}
@keyframes zoomin {
    0% {
        transform: scale(1, 1);
    }
    50% {
        transform: scale(1.2, 1.2);
    }
    100% {
        transform: scale(1, 1);
    }
}
#carouselExampleCaptions .carousel-image-box-caption {
    /*background: rgba(0,0,0,0.4);*/
    /* background: linear-gradient(to bottom, var(--theme-color) 0%, rgba(0,0,0,0) 40%); */
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-direction: column;
    padding-bottom: 50px;
    position: absolute;
    top: 0;
    left: 0;
}
#carouselExampleCaptions .carousel-image-box-caption h2 {
    /* position: absolute; */
    font-size: 48px;
    /* text-shadow: 0 0 5px rgba(0,0,0,0.5); */
    text-align: center;
}
#carouselExampleCaptions .carousel-image-box-caption h3 {
    margin-bottom: 90px;
    font-size: 24px;
    /* text-shadow: 0 0 5px rgba(0,0,0,0.5); */
}
.carousel-indicators button {
    background-color: var(--theme-color) !important;
}
#carouselExampleCaptions .carousel-control-next-icon,
#carouselExampleCaptions .carousel-control-prev-icon {
    /* background:  var(--theme-color);
    border: 1px solid var(--theme-color); */
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    /* width: 40px;
    height: 40px; */
    /* border-radius: 50%; */
}

#carouselExampleCaptions .carousel-control-next-icon {
    position: absolute;
    right: 10px;
}
#carouselExampleCaptions .carousel-control-prev-icon {
    position: absolute;
    left: 10px;
}

@media screen and (max-width: 1100px) {
    #carouselExampleCaptions .carousel-image-box {
        height: auto !important;
    }

    #carouselExampleCaptions .carousel-image-box-caption h2 {
        font-size: 20px;
    }
    #carouselExampleCaptions .carousel-image-box-caption h3 {
        font-size: 16px;
    }
}

@media screen and (max-width: 768px) {
    #carouselExampleCaptions .carousel-image-box {
        height: 100% !important;
    }
    #carouselExampleCaptions .carousel-image-box img {
        height: 100%;
        object-fit: cover;
    }
    #carouselExampleCaptions .carousel-inner {
        height: 300px;
    }
    #carouselExampleCaptions .carousel-image-box-caption h3,
    #carouselExampleCaptions .carousel-image-box-caption h2 {
        display: none;
    }
}

/* Global */
.line-1 {
    position: relative;
    top: 50%;
    width: 24em;
    margin: 0 auto;
    border-right: 2px solid rgba(255, 255, 255, 0.75);
    font-size: 180%;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    transform: translateY(-50%);
}

/* Animation */
.typewriter {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: 0.15em solid var(--theme2-color); /* The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 0 auto; /* Gives that scrolling effect as the typing happens */
    letter-spacing: 0.15em; /* Adjust as needed */
    animation: typing 3.5s steps(40, end), blink-caret 0.75s step-end infinite;
}

/* The typing effect */
@keyframes typing {
    from {
        width: 0;
    }
    to {
        width: 50%;
    }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
    from,
    to {
        border-color: transparent;
    }
    50% {
        border-color: var(--theme2-color);
    }
}

/*
.carousel .carousel-inner{
    height: 560px;
} */

/*-----------Home page style-------------*/
.video-width {
    z-index: 100 !important;
}
/*----------Scroll Btn----------------*/
#myBtn {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 101;
    font-size: 25px;
    border: none;
    outline: none;
    /* background-color: var(--theme2-color); */
    color: white;
    cursor: pointer;
    padding: 0px;
    border-radius: 100px;
    height: 40px;
    width: 40px;
}
/* #myBtn:hover {
    background-color: #555;
} */

.bounce {
    animation: bounce 2s infinite;
    -webkit-animation: bounce 2s infinite;
    -moz-animation: bounce 2s infinite;
    -o-animation: bounce 2s infinite;
}

@-webkit-keyframes bounce {
    0%,
    20%,
    50%,
    80%,
    100% {
        -webkit-transform: translateY(0);
    }
    40% {
        -webkit-transform: translateY(-30px);
    }
    60% {
        -webkit-transform: translateY(-15px);
    }
}

@-moz-keyframes bounce {
    0%,
    20%,
    50%,
    80%,
    100% {
        -moz-transform: translateY(0);
    }
    40% {
        -moz-transform: translateY(-30px);
    }
    60% {
        -moz-transform: translateY(-15px);
    }
}

@-o-keyframes bounce {
    0%,
    20%,
    50%,
    80%,
    100% {
        -o-transform: translateY(0);
    }
    40% {
        -o-transform: translateY(-30px);
    }
    60% {
        -o-transform: translateY(-15px);
    }
}
@keyframes bounce {
    0%,
    20%,
    50%,
    80%,
    100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-30px);
    }
    60% {
        transform: translateY(-15px);
    }
}

/*-------------End Scroll Btn---------------------*/

video {
    width: 100%;
}
.c-h-color {
    padding: 15px;
    background-color: var(--theme2-color);
    color: white;
    text-align: center;
}
.c-h-color span {
    color: white;
    font-size: 22px;
    margin-right: 10px;
    border-right: 1px solid;
    padding-right: 15px;
}
.overlay {
    padding: 5px;
    /* background-color: #bc63308c; */
    background-color: white;
}

/*------Message carausal ----------*/
.message-carousel .carousel-inner {
    height: 450px;
}
.msg-slide-btn {
    font-size: 25px;
    color: var(--theme2-color);
    cursor: pointer;
}
.message-card img {
    height: 200px !important;
    width: 100%;
}
/*---------Founder Message---------------*/
.founder-message img {
    height: 300px;
    width: 100%;
}

/*-----------News notice----------------*/
#impDatesSlider {
    height: 300px;
    overflow: auto;
}
.imp-dates-wrapper {
    /* background: red; */
    /* border-bottom: 1px solid #000; */
    display: flex;
    align-items: flex-start;
}
.imp-dates-wrapper:first-child {
    margin-bottom: 20px;
}
.imp-dates-date {
    /* background: var(--theme-color); */
    padding: 5px;
    /* outline: 10px solid var(--theme-color); */
    margin: 10px;
    border: 2px dashed var(--theme-color);
    color: var(--theme2-color);
    text-align: center;
    line-height: 0.6cm;
    border-radius: 6px;
    flex-shrink: 0;
}
.imp-dates-day {
    font-size: 16px;
}
.imp-dates-details {
    padding: 0 10px;
}
.imp-dates-title {
    font-size: 16px;
    color: black;
}
.imp-dates-discription {
    font-size: 12px;
    text-align: justify;
    color: black;
}
.news-notice-btn {
    font-size: 0.7rem !important;
}
/*--------------Notice-Board---------------*/

/*----Topper-Siders----*/
#xToppersSlider .carousel-inner {
    height: 350px;
}
#xiiToppersSlider .carousel-inner {
    height: 350px;
}
.toppersSlider .carousel-control-next,
.toppersSlider .carousel-control-prev /*, .carousel-indicators */ {
    filter: invert(100%);
}
.toppersSlider .items-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.student-box {
    background: #fff;
    width: 130px;
    height: 220px;
    /* box-shadow: 0 0 5px rgba(0,0,0,0.3);
    border-radius: 6px; */
    margin-bottom: 10px;
    animation: zoomin1 3s ease-in;
    animation: fadeinout 3s linear forwards;
    transition: 20s;
}
@keyframes zoomin1 {
    0% {
        transform: scale(0, 0);
        transition: 20s;
    }
    100% {
        transform: scale(1, 1);
        transition: 20s;
    }
}
@-webkit-keyframes fadeinout {
    0% {
        opacity: 0;
        transform: scale(0, 0);
    }
    100% {
        opacity: 1;
        transform: scale(1, 1);
    }
}

@keyframes fadeinout {
    0% {
        opacity: 0;
        transform: scale(0, 0);
    }
    100% {
        opacity: 1;
        transform: scale(1, 1);
    }
}
.student-box .student-picture {
    width: 100%;
    height: 130px;
    background-size: cover;
    background-position: top center;
    overflow: hidden;
    border-radius: 100%;
    /* border: 2px solid #c50227; */
    border: 2px solid white;
    outline: 3px solid var(--theme-color);
    margin-top: 6px;
}
.student-box .student-details {
    text-align: center;
}
.student-box .student-details h5 {
    font-size: 12px;
    font-weight: bold;
    margin: 0;
}
.student-box .student-details h6 {
    font-size: 12px;
    margin: 0;
}

@media screen and (max-width: 468px) {
    #xToppersSlider .carousel-inner {
        height: 250px;
    }
    #xiiToppersSlider .carousel-inner {
        height: 250px;
    }
}
/*----Topper-Siders----*/

/*------Birthday Area--------*/
#birthDaySlider .carousel-inner {
    height: 300px;
}
#birthDaySlider .carousel-inner .carousel-item img {
    height: 156px;
    width: 100%;
    border: 1px solid var(--theme-color);
    border-radius: 100px;
    object-fit: cover;
}
.view-box-wrapper {
    height: 300px;
    width: 100%;
    background-size: 100% 300px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
    border-radius: 6px;
    justify-content: center;
}
.small-box {
    width: 160px;
    height: 250px;
    /* background: #fff; */
    /* box-shadow: 0 0 8px rgba(2, 2, 2, 0.3); */
    border-radius: 6px;
    /* margin-left: 65px; */
   

}
/*------Birthday Area--------*/

/*------Quick link style-------*/
.quick-link a {
    text-decoration: none;
    /* color: var(--theme2-color); */
}
.quick-link h3 {
    color: var(--theme2-color);
}
.topper-color {
    color: var(--theme2-color);
}
/*------Quick link style End-------*/

/*---------Event box area-----------------*/
.event-box {
    width: 100%;
    height: 250px;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
    background-size: 110%;
    background-position: center center;
    transition: 0.5s;
    position: relative;
}
.event-box:hover {
    background-size: 115%;
}
.event-upper {
    background: rgba(0, 0, 0, 0.1);
    flex-grow: 1;
    display: flex;
    justify-content: start;
    align-items: flex-start;
    padding: 15px;
    border-radius: 6px 6px 0 0;
}
.event-date {
    background: var(--theme-color);
    color: #fff;
    position: absolute;
    padding: 4px 10px;
    border-radius: 6px;
    /* margin-left: 15px; */
    font-size: 14px;
    bottom: 12px;
    right: 10px;
}
.event-date:first-child {
    margin-left: 0;
}
.event-lower {
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.1) 0%,
        rgba(0, 0, 0, 0.8) 80%
    );
    padding: 15px;
    padding-top: 50px;
    border-radius: 0 0 6px 6px;
}
.event-title {
    font-size: 18px;
    font-weight: bold;
    color: #fff;
    margin-bottom: 15px;
}
.event-title a {
    color: #fff;
    text-decoration: none;
}
.event-description {
    color: #fff;
    text-align: justify;
}
.event-link {
    background: rgba(0, 0, 0, 0.1);
    display: block;
    width: 100%;
    height: 100%;
}
.sub-galley-box {
    display: flex;
    justify-content: center;
    align-items: center;
    /* flex-direction: column; */
    /* justify-content: flex-start; */
    /* flex-wrap: wrap; */
}
.pics-count {
    position: absolute;
    right: 10px;
    background: var(--theme-color);
    top: 10px;
    padding: 8px 10px 5px 10px;
    border-radius: 100%;
    color: white;
}
/* .sub-galley-box .event-box
 {
    border-radius: 0;
}
.sub-galley-box .event-box:nth-child(1),
.sub-galley-box .event-box:nth-child(1) .event-link {
    border-radius: 6px 0 0 0;
}
.sub-galley-box .event-box:nth-child(2),
.sub-galley-box .event-box:nth-child(2) .event-link {
    border-radius: 0 6px 0 0;
}
.sub-galley-box .event-box:nth-child(3),
.sub-galley-box .event-box:nth-child(3) .event-link {
    border-radius: 0 0 0 6px;
}
.sub-galley-box .event-box:nth-child(4),
.sub-galley-box .event-box:nth-child(4) .event-link {
    border-radius: 0 0 6px 0;
} */
@media screen and (max-width: 1000px) {
    .event-box {
        width: 100% !important;
    }
}
/*---------Event box area-----------------*/

/*---------Gallery Area-------------------*/
#gallerycarausel .carousel-inner {
    height: 250px;
}

/*--Footer--*/
.footer {
    background: #333;
    padding: 10px;
    color: #e9ecef;
    padding-top: 30px;
}
.school-background-image {
    background: #333333;
    background-image: url(/images/breadcrumb.jpg);
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: 100% 100%;
    height: 250px;
    margin-top: -15px;
}

.inner-background {
    width: 100%;
    height: 100%;
    background: #00000087;
}

/* .footer-backgroung-image{
    background-image: url(/images/school-building.png);
    background-repeat: no-repeat;
    background-position: bottom;
    background-size: 100% 100%;
    height: 200px;
    weight:100%;
} */
.footer-brand img {
    width: 80px;
}
.footer-link a {
    display: block;
    color: #e9ecef;
    text-decoration: none;
    margin-bottom: 10px;
}
.footer-link-hover:hover {
    color: #fff !important;
}

.footer-heading {
    color: white;
    border-bottom: 2px solid red;
    padding: 0px 0px 10px 0px;
}
.useful-link {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
.useful-link a {
    display: block;
    color: #fff;
    background: rgba(0, 0, 0, 0.4);
    margin: 3px 3px;
    padding: 5px 10px;
    text-decoration: none;
    border-radius: 15px;
    transition: 0.3s;
    text-transform: capitalize;
    font-size: 12px;
}
.useful-link li:first-child a {
    margin-left: none;
}
.useful-link a:hover {
    background: var(--theme-color);
}
.socia-icon {
    background: #fff;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 3px;
    background: #e6e6e6;
    color: #000;
    text-decoration: none;
    transition: 0.2s;
}
.socia-icon:hover {
    text-decoration: none;
    color: #e6e6e6;
    background: #000;
}
.socia-icon.fb {
    background: #1877f2;
    color: #fff;
}
.socia-icon.fb:hover {
    color: #1877f2;
    background: #fff;
}
.socia-icon.tw {
    background: #1da1f2;
    color: #fff;
}
.socia-icon.tw:hover {
    color: #1da1f2;
    background: #fff;
}
.socia-icon.yt {
    background: #ff0000;
    color: #fff;
}
.socia-icon.yt:hover {
    color: #ff0000;
    background: #fff;
}
.socia-icon.ig {
    background: #833ab4;
    color: #fff;
}
.socia-icon.ig:hover {
    color: #833ab4;
    background: #fff;
}
/*--Footer--*/

/*----Menu-Bar--*/
.header {
    position: relative;
}
.top-fixed {
    position: fixed !important;
}
.top-menu {
    display: flex;
    align-items: center;
    position: absolute;
    padding: 0 15px;
    padding-top: 10px;
    top: 0;
    left: 0;
    z-index: 9;
}
.school-logo img {
    margin: 0 15px;
}
.menu-list-left,
.menu-list-right {
    flex-grow: 1;
    font-size: 14px;
}
.menu-list ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: end;
    align-items: center;
    flex-wrap: wrap;
}
.menu-list-right ul {
    justify-content: start;
}
.menu-list ul li {
    position: relative;
}
.menu-list ul li a {
    display: block;
    padding: 4px 8px;
    color: #f9fafb;
    text-decoration: none;
    border-radius: 6px;
    transition: 0.2s;
}
.menu-list ul li a:hover {
    color: #fff;
}

.menu-list ul li a i {
    margin-left: 5px;
}
.menu-list ul ul {
    display: none;
    position: absolute;
    width: 200px;
    background: #fff;
    z-index: 5;
    border-radius: 10px;
}
.menu-list ul ul li {
    display: block;
    width: 100%;
    z-index: 10;
}
.menu-list ul ul li a {
    color: #000;
    border-radius: 0;
}
.menu-list ul ul li a:hover {
    color: #fff;
    background: var(--theme-color);
}
.top-menu-mobile {
    display: none;
}
.close-btn {
    display: none;
}

.enquery_btn:hover {
    color: #fff;
    background: var(--theme-color);
}

/*---------Top bar login Button -------------*/
.top-login-btn {
    border: 2px solid;
    padding: 2px 6px 2px 7px;
    border-radius: 7px;
    font-size: 14px;
    text-decoration: none;
    color: white;
    cursor: pointer;
}
.top-login-btn:hover {
    border: 2px solid;
    padding: 2px 6px 2px 7px;
    border-radius: 7px;
    font-size: 14px;
    text-decoration: none;
    color: white;
}
.top-enq-btn {
    color: var(--theme2-color);
    font-size: 23px;
    cursor: pointer;
}
.top-enq-btn:hover {
    color: var(--theme2-color);
    font-size: 23px;
    cursor: pointer;
}

@media screen and (max-width: 1116px) {
    .top-menu {
        background: #fff;
        display: block;
        padding: 0;
        position: fixed;
        left: auto;
        right: 0;
        width: 250px;
        height: 100vh;
        margin-right: -250px;
        z-index: 99;
        transition: 0.2s;
        overflow: auto;
    }
    .menu-list ul {
        display: block;
    }
    .menu-list ul li a {
        border-bottom: 1px solid #ccc;
        color: #333;
        border-radius: 0;
    }
    .menu-list ul ul {
        position: relative;
        width: 100%;
    }
    .school-logo {
        display: none;
    }
    .close-btn {
        display: block;
    }
    .overlap {
        background: rgba(0, 0, 0, 0.5);
        position: fixed;
        width: 100%;
        height: 100%;
        z-index: 98;
        display: none;
    }
    .top-menu-mobile {
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 9;
        padding-top: 10px;
    }
    /* .school-logo-mobile img {
    width: 40px;
    height: 60px;
} */
}

/*----Menu-Bar--*/
.top-bar {
    /* background: var(--theme-color); */
    /* background: #dc3545; */
    background: white;
    color: var(--theme-color);
    padding: 20px 0;
}
.top-bar-mobile {
    background: var(--theme-color);
    color: wheat;
    padding: 5px;
}

/*-------------Menu background style-----------*/

/*-----------Carousel slider------------------------*/
.carousel .carousel-inner .carousel-item {
    height: 500px;
}

/*-----------End Carousel slider-------------------*/

/*----------Message popup---------*/
.message-box {
    height: 290px !important;
    width: 176px;
    position: fixed;
    z-index: 150;
    bottom: -300px;
    right: 10px;
    background-color: rgb(35 35 35 / 58%);
    /* padding-top: 60px; */
    transition: 0.1s;
    border-radius: 9px;
    /* box-shadow: 0px 0px 11px 4px #ccc; */
}
.slidetoup {
    bottom: 15px;
    transition: 2s;
}

.slidedown {
    bottom: -3150px;
    transition: 2s;
}

.inner-message-box {
    padding: 10px;
}

.message-popup-height {
    height: 335px;
}
/*--------------------
     Contact info
---------------------*/
.contact-info {
    display: flex;
}
.contact-icon {
    flex-shrink: 0;
    background: #fff;
    width: 60px;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 24px;
    color: var(--theme-color);
    border: 1px solid var(--theme-color);
    transition: 0.5s;
}
.contact-info:hover .contact-icon {
    font-size: 28px;
}
.contant-details {
    padding: 0 15px;
}
.contant-details h3 {
    font-size: 22px;
    font-weight: bold;
}
.contant-details a {
    color: var(--theme-color);
    text-decoration: none;
}
/*-------------------------
    End Contact Info
--------------------------*/
/*--------------------------
     Graph Style
--------------------------*/
.table .st-franc-h-color {
    background-color: blue;
    color: white;
}
.table .st-lawre-h-color {
    background-color: green;
    color: white;
}
.table .st-pauls-h-color {
    background-color: red;
    color: white;
}
.table .st-peter-h-color {
    background-color: orange;
    color: white;
}

.b-bottom {
    border-bottom: 2px solid var(--theme2-color) !important;
}

/*--------------------
    End Graph
---------------------*/

/*----------------------
    Infrastructure
-----------------------*/
@media only screen and (max-width: 668px) {
    .img-height-m-screen {
        height: auto !important;
    }
}
.img-height-m-screen {
    height: 341px;
}
.sosial-media {
    position: fixed;
    right: 0px;
    z-index: 2000;
    top: 181px;
}
.sosial-media-icon-class {
    color: white;
    font-size: 17px;
    display: block;
    border-radius: 0;
}
.facebook {
    background-color: #1877f2;
    border-radius: 10px;
}
.instagram {
    background-color: #833ab4;
    border-radius: 10px;
}
.youtube {
    background-color: #ff0000;
    border-radius: 10px;
}
.enquiry {
    background-color: #18730a;
    border-radius: 10px;
}

.navbar-brand img {
    transition: transform 0.3s ease;
}
.navbar-brand img:hover {
    transform: scale(1.05);
}

.btn-outline-primary:hover,
.btn-outline-danger:hover {
    color: #fff;
}

/* Card Gradient Header */
.activity-header {
    background: linear-gradient(90deg, #e0b97c, #ca934f);
    font-family: "Anton", sans-serif;
    font-size: 1rem;
    padding: 0.6rem 1rem;
    border-radius: 0.25rem 0.25rem 0 0;
}

/* Card Shadow & Hover */
.activity-card {
    border: none;
    border-radius: 0.5rem;
    transition: transform 0.3s, box-shadow 0.3s;
}
.activity-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

/* Video styling */
.card-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Optional overlay for better text readability */
.video-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.15);
    transition: background 0.3s;
}
.activity-card:hover .video-overlay {
    background: rgba(0, 0, 0, 0.25);
}

/* Card title */
.activity-card .card-title {
    color: #333;
    margin-top: 0.5rem;
}

/* Desktop: vertical floating on right */
.floating-btn-group {
    position: fixed;
    right: 20px;
    top: 30%;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    z-index: 150;
}

/* Buttons Gradient & Hover */
.btn-gradient {
    background: linear-gradient(90deg, #e0b97c, #ca934f);
    border: none;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
    transition: transform 0.2s, box-shadow 0.2s, opacity 0.2s;
    text-align: center;
}

.btn-gradient:hover {
    transform: translateY(-3px);
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.3);
}

/* Blink animation */
.blinking-btn {
    animation: blink-animation 1.5s infinite;
}

@keyframes blink-animation {
    0%,
    50%,
    100% {
        opacity: 1;
    }
    25%,
    75% {
        opacity: 0.6;
    }
}

/* Mobile Responsiveness */
@media (max-width: 768px) {
    .floating-btn-group {
        flex-direction: row;
        bottom: 20px;
        top: auto;
        right: 50%;
        transform: translateX(50%);
        gap: 0.4rem;
        width: auto;
        justify-content: center;
        padding: 0 5px;
    }

    .floating-btn-group .btn {
        flex: 1;
        font-size: 0.8rem;
        white-space: nowrap;
        padding: 0.4rem 0.7rem;
    }
}

/* home-message */
.messages-news-section {
    background: #f4f7fb;
}

/* Header */
.section-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 3px solid #bf8641;
    padding-bottom: 8px;
    margin-bottom: 15px;
}

.section-header:hover {
    border-bottom: 3px solid #0d6efd;
}
.section-header h2 {
    font-size: 1.4rem;
    /* color: #0d6efd; */
}

/* Equal column height */
.equal-col {
    display: flex;
    flex-direction: column;
}

/* SAME height for message & news */
.equal-box {
    height: 380px;
}
.bg {
    background: linear-gradient(90deg, #e0b97c, #ca934f);
    color: black;
}
.bg:hover {
    background: #0d6efd;
    color: white;
}

/* Carousel buttons */
.carousel-btn {
    /* background: #0d6efd; */
    background: linear-gradient(90deg, #e0b97c, #ca934f);
    border: none;
    color: #fff;
    padding: 6px 10px;
    border-radius: 50%;
    margin-left: 5px;
}

.carousel-btn:hover {
    background: #084298;
}

/* Message card */
.message-card {
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.message-card img {
    height: 200px;
    object-fit: contain;
}

/* News */
.news-box {
    background: #fff;
    border-radius: 12px;
    padding: 15px;
    overflow: hidden;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.news-scroll {
    height: 100%;
    animation: scrollUp 18s linear infinite;
}

.news-box:hover .news-scroll {
    animation-play-state: paused;
}

.news-item {
    display: flex;
    gap: 12px;
    margin-bottom: 15px;
    border-bottom: 1px dashed #ddd;
    padding-bottom: 10px;
}

.news-date {
   
    text-align: center;
    padding: 6px;
    border-radius: 8px;
    min-width: 70px;
    line-height: 17px;
    height: 65px;
    font-weight: bold;
}

.news-date span {
    font-size: 20px;
    display: block;
}

.news-content h6 {
    margin-bottom: 5px;
    /* color: #0d6efd; */
}

/* Auto scroll */
@keyframes scrollUp {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(-100%);
    }
}


/* home-gallery */

.gallery-section {
    background: #f4f7fb;
}

.gradient-text {
    /* background: linear-gradient(90deg, #e0b97c, #ca934f); */
    background: linear-gradient(90deg, #796649, #ca934f);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.carousel-control.custom-prev,
.carousel-control.custom-next {
    /* background: #0d6efd;
    color: #fff; */
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: none;
    margin-left: 5px;
}

.carousel-control.custom-prev:hover,
.carousel-control.custom-next:hover {
    /* background: #084298; */
}

.gallery-card {
    height: 250px;
    border-radius: 12px;
    background-size: cover;
    background-position: center;
    position: relative;
    overflow: hidden;
    transition: transform 0.3s;
}

.gallery-card:hover {
    transform: scale(1.05);
}

.gallery-overlay {
    position: absolute;
    line-height: 10px;
    bottom: -18px;
    width: 100%;
    padding: 15px;
    background: rgba(0, 0, 0, 0.6);
    color: #fff;
    transition: background 0.3s;
}

.gallery-card:hover .gallery-overlay {
    background: rgba(0, 0, 0, 0.75);
}

.gallery-info .gallery-date {
    font-size: 14px;
    color: #ffc107;
}

.gallery-info .gallery-count {
    font-size: 12px;
    position: relative;
    top: -16px;
    text-align: end;
    color: #00ffff;
}

.gallery-info .gallery-title a {
    color: #fff;
    text-decoration: none;
}

.gallery-info .gallery-title a:hover {
    color: #e0b97c;
}


/* Mobile responsiveness only */
@media (max-width: 768px) {

    .gallery-section {
        height: auto !important;
        margin-top: 0 !important;
        padding-bottom: 20px;
    }

    .gallery-card {
        height: 200px;
    }

    .gallery-overlay {
        padding: 8px;
    }

    .gallery-title {
        font-size: 12px !important;
    }

    .gallery-info p {
        font-size: 9px !important;
    }

    .carousel-control.custom-prev,
    .carousel-control.custom-next {
        padding: 4px 8px;
    }
}

/* Small mobile */
/* @media (max-width: 576px) {

    .gallery-card {
        height: 180px;
    }

    .gallery-date,
    .gallery-count {
        font-size: 10px;
    }
} */
 @media (max-width: 767px) {
    .gallery-section {
        height: auto !important;
        margin-top: 0 !important;
    }

    #galleryCarousel .col-md-4 {
        max-width: 100%;
        flex: 0 0 100%;
    }
}

@media (max-width: 768px) {
    .navbar-color {
        border-top: 1px solid wheat;
        /*background: linear-gradient(100deg, #612f14, #e3a460);*/
                /*background: #aebdae;*/
                background: white;
    }
    
    .dropdown-item{
        color: green !important;
    }
}


/* popup */

